# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils

DESCRIPTION="Tools for controlling the Buffalo's LS-CHL LS-CHLv2 LS-XHL"
HOMEPAGE="http://sourceforge.net/projects/blstools/"

LICENSE="as-is"
SLOT="0"
KEYWORDS="~arm"

SRC_URI="mirror://sourceforge/blstools/${P}.tar.gz"

DEPEND=""
RDEPEND=""

src_install() {
	# Create directories
	keepdir /etc/blstools
	keepdir /var/log/blstools
	keepdir /etc/blstools/func-scripts

	# Install scripts 
	doinitd init.d/*
	insinto /etc/default
	doins default/*
	insinto /etc/logrotate.d
	doins logrotate.d/*

	dodoc CHANGELOG docs/info LICENSE README VERSION
}
